package info.aspirecn.cloud.yysj.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author bzh
 */
@Data
@Accessors(chain = true)
public class Driver {
	
	@JsonProperty("traceId")
	private String traceId;
	@JsonProperty("DateTime")
	private String dateTime;
	@JsonProperty("RequestInfo")
	private RequestInfo requestInfo;
	
	@Data
	public static class RequestInfo {
			@ApiModelProperty(value = "用户id")
			@JsonProperty("MG_UserId")
			private String userId;
			@ApiModelProperty(value = "司机姓名")
			@JsonProperty("DriverName")
			private String driverName;
			@ApiModelProperty(value = "身份证号")
			@JsonProperty("DrivingLicense")
			private String drivingLicense;
			@ApiModelProperty(value = "驾驶证号")
			@JsonProperty("DriverLicenseNumber")
			private String driverLicenseNumber;
			@ApiModelProperty(value = "从业资格证号")
			@JsonProperty("QualificationCertificate")
			private String qualificationCertificate;
			@ApiModelProperty(value = "准驾车型")
			@JsonProperty("VehicleClass")
			private String vehicleClass;
			@ApiModelProperty(value = "驾驶证发证机关")
			@JsonProperty("IssuingOrganizations")
			private String issuingOrganizations;
			@ApiModelProperty(value = "驾驶证有效期自")
			@JsonProperty("ValidPeriodFrom")
			private String validPeriodFrom;
			@ApiModelProperty(value = "驾驶证有效期至")
			@JsonProperty("ValidPeriodTo")
			private String validPeriodTo;
			@ApiModelProperty(value = "手机号")
			@JsonProperty("Telephone")
			private String telephone;
			@ApiModelProperty(value = "备注")
			@JsonProperty("Remark")
			private String remark;
		//    @ApiModelProperty(value = "身份证核验结果")
		//	@JsonProperty("idCardResult")
		//    private String idCardResult;
		//    @ApiModelProperty(value = "从业资格证核验结果")
		//	@JsonProperty("qualificationCardResult")
		//    private String qualificationCardResult;
		//    @ApiModelProperty(value = "驾驶证核验结果")
		//    @JsonProperty("driveCardResult")
		//    private String driveCardResult;
		//    @ApiModelProperty(value = "请求时间")
		//    @JsonProperty("requestTime")
		//    private String requestTime;
	}

}
